Required role: Storage
DESCRIPTION
Deletes from the storage node (initiator node) any virtual volumes and external volumes whose status is "Normal" and which are disconnected from the migration destination server. Also, if possible, recreates external volumes and virtual volumes with different IDs.
REQUEST PARAMETERS
|
Name |
Description |
Type |
Data type |
|---|---|---|---|
|
id |
Storage node ID. |
path |
string (uuid) required |
REQUEST EXAMPLE
The following example shows how a REST API is executed by using curl for VSP One SDS Block at IP address 192.168.1.100 with the username as admin and the password as password.
curl -u admin:password -i -X POST -H 'Content-Length: 0' https://192.168.1.100/ConfigurationManager/simple/v1/objects/storage-nodes/dd5ed12b-cf39-47da-9a30-5ba53404050e/actions/refresh-external-volumes/invoke
RESPONSES
Uses default content-types: application/json
- 401 Unauthorized
- Indicates that no Authorization header is specified for the request header, authentication using the information specified for the Authorization header was unsuccessful, or authentication using a parameter was unsuccessful.
-
Header
Description
Data Type
WWW-Authenticate
Indicates that authentication is required.
-
When basic authentication was unsuccessful including session creation failures: Basic realm="Block storage"
-
When session authentication was unsuccessful: Session realm="Block storage"
string
-
- 404 Not Found
- Indicates that the resource specified by the URL was not found, or you are not authorized to see the resource.
- 411 Length Required
- Indicates that the Content-Length header must be specified. It is returned when the request body was not specified and "Content-Length: 0" was not specified as the header parameter.
- 413 Request Entity Too Large
- Indicates that the size of the request body exceeds the acceptable upper limit.
- 415 Unsupported Media Type
- Indicates that an unsupported media type was specified for the Content-Type header.
- 417 Expectation Failed
- Indicates that the Expect header is specified incorrectly, or the REST server does not support the Expect header.
- 431 Request Header Fields Too Large
- Indicates that the size of the request header exceeds the acceptable upper limit.
- 500 Internal Server Error
- Indicates that an internal error occurred on the REST server or in the target storage cluster.
Authentication schemes
-
basic authentication
-
session authentication